/* $Id: rtl818x_gct.h,v 1.1 2006/06/30 18:50:24 bsd3 Exp $ */

/*- 
 * Driver for Realtek's RTL8180L/8185L 802.11(a)/b/g MAC/BBP chipset
 * based wireless cards, see README for more details.
 *
 * Copyright (C) Andrea Merello 2004  <andreamrl@tiscali.it> 
 *   
 * Parts of this driver are based on the GPL portion of the Realtek's 
 * official driver
 *   
 * Parts of this driver are based on the rtl8180 driver skeleton from
 * Patric Schenke, Andres Salomon and others.
 *   
 * Parts of this driver are based on the Intel Pro Wireless 2100 GPL
 * driver.
 *   
 * Thanks to the authors of all above said projects and the Ndiswrapper
 * project.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

#define GCT_ANTENNA 0xA3

/* we will use the untouched eeprom values - cross your fingers ;-) */
#define GCT_ANAPARAM_PWR1_ON ??
#define GCT_ANAPARAM_PWR0_ON ??

void gct_rf_init(struct net_device *dev);
void gct_rf_set_chan(struct net_device *dev, short ch);
void gct_rf_close(struct net_device *dev);
