/* $Id: rtl818x_pm.h,v 1.1 2006/06/30 18:51:19 bsd3 Exp $ */

/*- 
 * Driver for Realtek's RTL8180L/8185L 802.11(a)/b/g MAC/BBP chipset
 * based wireless cards, see README for more details.
 *
 * Copyright (C) Andrea Merello 2004  <andreamrl@tiscali.it> 
 *   
 * Parts of this driver are based on the GPL portion of the Realtek's 
 * official driver
 *   
 * Thanks to the authors of all above said projects and the Ndiswrapper
 * project.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

#ifdef CONFIG_RTL818X_PM

#ifndef RTL818X_PM_H
#define RTL818X_PM_H

#include <linux/types.h>
#include <linux/pci.h>

int rtl818x_enable_wake(struct pci_dev *dev, u32 state, int enable);
int rtl818x_resume(struct pci_dev *dev);
int rtl818x_save_state(struct pci_dev *dev, u32 state);
int rtl818x_suspend(struct pci_dev *dev, u32 state);

#endif	// RTL818X_PM_H

#endif	// CONFIG_RTL818X_PM
