/* $Id: rtl818x_sa2400.h,v 1.1 2006/06/30 18:52:43 bsd3 Exp $ */

/*- 
 * Driver for Realtek's RTL8180L/8185L 802.11(a)/b/g MAC/BBP chipset
 * based wireless cards, see README for more details.
 *
 * Copyright (C) Andrea Merello 2004  <andreamrl@tiscali.it> 
 *   
 * Parts of this driver are based on the GPL portion of the Realtek's 
 * official driver
 *   
 * Parts of this driver are based on the rtl8180 driver skeleton from
 * Patric Schenke, Andres Salomon and others.
 *   
 * Thanks to the authors of all above said projects and the Ndiswrapper
 * project.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. See README and COPYING for
 * more details.
 */

#define SA2400_ANAPARAM_PWR0_ON 0x3
#define SA2400_ANA_ANAPARAM_PWR1_ON 0x28
#define SA2400_ANTENNA 0x91
#define SA2400_DIG_ANAPARAM_PWR1_ON 0x8
#define SA2400_REG4_FIRDAC_SHIFT 7
#define SA2400_RF_DEF_SENS 80
#define SA2400_RF_MAX_SENS 85

void sa2400_rf_init(struct net_device *dev);
void sa2400_rf_set_chan(struct net_device *dev, short ch);
short sa2400_rf_set_sens(struct net_device *dev, short sens);
void sa2400_rf_close(struct net_device *dev);
